#define GENERIC char*

typedef Object (*PFO) P_((Object));
typedef int (*MATCHFUN) P_((ELLIPSIS));

C_LINKAGE_BEGIN

extern void Register_Object P_((Object, GENERIC, PFO, int));
extern void Deregister_Object P_((Object));
extern Object Find_Object P_((ELLIPSIS));
extern void Terminate_Group P_ ((GENERIC));
extern int Unique_Id P_((Object));

C_LINKAGE_END
